Bug 467385 - (mingw32-nsiswrapper) Review Request: mingw32-nsiswrapper - Helper program for making NSIS Windows installers
Review Request: mingw32-nsiswrapper - Helper program for making NSIS Windows ...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Levente Farkas
Fedora Extras Quality Assurance
Depends On: mingw32-nsis
  Show dependency treegraph
Reported: 2008-10-17 05:13 EDT by Richard W.M. Jones
Modified: 2009-02-24 15:47 EST (History)
4 users (show)

See Also:
Fixed In Version: 3-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-24 04:18:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lfarkas: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-17 05:13:31 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=82a0662b5376fe1a90612ed85628670c902a43d3;path=/nsiswrapper/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-nsiswrapper-3-2.fc9.src.rpm
NSISWrapper is a helper program for making Windows installers,
particularly when you are cross-compiling from Unix.
Comment 1 Levente Farkas 2009-02-15 15:25:10 EST
rpmlint /home/lfarkas/rpm/SRPMS/mingw32-nsiswrapper-3-2.fc10.src.rpm
mingw32-nsiswrapper.src: W: strange-permission nsiswrapper.pl 0775
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

so please change the permission to 0775.

koji build ok:

+ OK
- Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] rpmlint must be run on every package. The output should be posted in the
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[/] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[/] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
[+] MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of the Packaging Guidelines;
inclusion of those as BuildRequires is optional.
[/] MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[/] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} ( or $RPM_BUILD_ROOT ).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines .
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[/] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[*] MUST: Header files must be in a -devel package.
[/] MUST: Static libraries must be in a -static package.
[/] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
[/] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[/] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
[/] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with
desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %i install for
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[+] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See
MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[/] SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.
[/] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[/] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg.
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.


 The package mingw32-nsiswrapper is approved by lfarkas

Comment 2 Richard W.M. Jones 2009-02-17 05:51:20 EST
Thanks for looking at this one.
Comment 3 Richard W.M. Jones 2009-02-17 05:53:28 EST
New Package CVS Request
Package Name: mingw32-nsiswrapper
Short Description: Helper program for making NSIS Windows installers
Owners: rjones berrange
Branches: F-10 EL-5
Comment 4 Kevin Fenzi 2009-02-18 14:25:33 EST
cvs done.
Comment 5 Fedora Update System 2009-02-24 04:18:30 EST
mingw32-nsiswrapper-3-3.fc10 has been submitted as an update for Fedora 10.
Comment 6 Richard W.M. Jones 2009-02-24 04:18:53 EST
Comment 7 Fedora Update System 2009-02-24 15:47:34 EST
mingw32-nsiswrapper-3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.